// popup menu test

import netscape.application.*;

import com.micronova.mnfc.IPopupMenu;

class TestView extends ContainerView implements Target
{
    IPopupMenu popupMenu;

    TestView()
    {
        super();

        Bitmap itemBitmap = Bitmap.bitmapNamed("whiteball.gif");

        Menu menu = new Menu();

        MenuItem item = new MenuItem();

        item.setImage(itemBitmap);
        item.setSelectedImage(itemBitmap);

        menu.setPrototypeItem(item);

        menu.addItem("1", "1", this);
        menu.addItem("2", "2", this);
        menu.addItem("3", "3", this);

        MenuItem submenu1 = menu.addItemWithSubmenu("SubMenu1");

        submenu1.submenu().addItem("4", "4", this);
        submenu1.submenu().addItem("5", "5", this);

        MenuItem submenu2 = submenu1.submenu().addItemWithSubmenu("SubMenu2");

        submenu2.submenu().addItem("6", "6", this);
        submenu2.submenu().addItem("7", "7", this);

        popupMenu = new IPopupMenu(menu);
    }

    public boolean mouseDown(MouseEvent event)
    {
        super.mouseDown(event);

        return true;
    }

    public void mouseUp(MouseEvent event)
    {
        int xOffset = 15;
        int yOffset = 5;

        popupMenu.show(this, event.x - xOffset, event.y - yOffset);

        super.mouseUp(event);
    }

    public void performCommand(String command, Object object)
    {
        System.out.println(command + ":" + object);
    }
}

public class Test extends Application
{
    public void init() 
    {
        super.init();

        View view = new TestView();

        view.setHorizResizeInstruction(View.WIDTH_CAN_CHANGE);
        view.setVertResizeInstruction(View.HEIGHT_CAN_CHANGE);

        Rect bounds = mainRootView().bounds();

        int boundarySize = 20;

        view.setBounds(bounds.x + boundarySize, bounds.y + boundarySize, bounds.width - 2 * boundarySize, bounds.height - 2 * boundarySize);

        mainRootView().addSubview(view);
    }
}
